Subject: Misprinted DOB in GCMHelp:

From: Wenxing Zhang <[email-masked]>
Date: Mon, 4 Jul 94 16:51:20 CDT

Hi friend:

	I am sorry to use this net for CSPA problem. I really don't know if there is right net, which is alive, I should use.

	Anyway, I recieved my GC finally, but with misprinted date of birth. they printed 09/**/**/ instead of 04/**/****. Since I am pretty sure I provided right DOB to them. I sent two letters to INS CARD FACILITY, and INS EASTERN SERVICE CENTER respectively two months ago. However up to now I have not recieved anything from either of them.

	Anyone has any experience on it? any suggestion will be highly appreciated.

	Thank you very much in advance.